<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - A Single Row</TITLE>
<link href="suifmath_7.html" rel=Next>
<link href="suifmath_5.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_5.html">previous</A>, <A HREF="suifmath_7.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC6" HREF="suifmath_toc.html#TOC6">A Single Row</A></H2>
<P>
<A NAME="IDX129"></A>
<A NAME="IDX130"></A>

</P>
<P>
All matrices are built using rows of integers defined by the class
<CODE>integer_row</CODE>. A single <CODE>integer_row</CODE> is also used in a few
functions in matrices and linear inequalities such as <CODE>filter</CODE>,
<CODE>shuffle</CODE> and <CODE>del_columns</CODE>. The size or the number of
elements in a single row is given by the function <CODE>n()</CODE>. If a
matrix <CODE>A</CODE> is given, the <VAR>i</VAR>-th row of the matrix is
<CODE>A[i]</CODE>, which is of the class <CODE>integer_row</CODE>.
<A NAME="IDX131"></A>
<A NAME="IDX132"></A>
<A NAME="IDX133"></A>
<A NAME="IDX134"></A>
<A NAME="IDX135"></A>

</P>

<UL>
<LI><A HREF="suifmath_7.html#SEC7">Row Manipulation</A>: How to create and change integer rows
<LI><A HREF="suifmath_8.html#SEC8">Row Math</A>: Mathematical operations that can be done on a row
</UL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_5.html">previous</A>, <A HREF="suifmath_7.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
